%define version 2.18.0
%define release %mkrel 1

%define libgnomemm_version 2.6.0
%define libgnomecanvasmm_version 2.6.0
%define gconfmm_version 2.6.0
%define gnomevfsmm_version 2.6.0
%define libglademm_version 2.4.0

%define pkgname libgnomeuimm
%define major 1
%define api_version 2.6
%define libname_orig	%mklibname gnomeuimm %{api_version}
%define libname		%mklibname gnomeuimm %{api_version} %{major}

Summary:	A C++ wrapper for GNOME UI library
Name:		%{pkgname}%{api_version}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRequires:	libgnomeui2-devel >= 2.7.1
BuildRequires:	gnome-vfsmm2.6-devel >= %{gnomevfsmm_version}
BuildRequires:	gconfmm2.6-devel >= %{gconfmm_version}
BuildRequires:	libgnomemm2.6-devel >= %{libgnomemm_version}
BuildRequires:	libgnomecanvasmm2.6-devel >= %{libgnomecanvasmm_version}
BuildRequires:	libglademm2.4-devel >= %{libglademm_version}
BuildRequires:	libexpat-devel
BuildRequires:	doxygen

%description
This library provides a C++ wrapper for GNOME UI library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package	-n %{libname}
Summary:	A C++ wrapper for GNOME UI library
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}

%description	-n %{libname}
This library provides a C++ wrapper for GNOME UI library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package	-n %{libname}-devel
Summary:	Development files for libgnomeui C++ wrapper
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{pkgname}-devel = %{version}-%{release}

%description	-n %{libname}-devel
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use
%{pkgname}, the C++ interface to libgnomeui.

It is necessary when compiling applications which use %{pkgname} as well.


%package	doc
Summary:	Documentation of %{pkgname} library
Group:		Books/Other

%description	doc
This package provides API documentation of %{pkgname} library.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x --enable-static
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES$/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf %{buildroot}
%makeinstall_std
find %buildroot -name \*.la|xargs chmod 644

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc COPYING ChangeLog TODO
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-%{api_version}

%files doc
%defattr(-, root, root)
%doc docs/reference/html 


%changelog
* Sat Mar 10 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 140352
- new version

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.1
+ Revision: 103079
- Import libgnomeuimm2.6



* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.1
- Rebuild

* Tue Aug 22 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Mon Aug  7 2006 Gtz Waschk <waschk@mandriva.org> 2.14.0-3mdv2007.0
- fix buildrequires

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-2mdv2007.0
- Rebuild with latest dbus

* Mon Apr 10 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0
- use mkrel

* Sat Oct 08 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 2.10.0-2mdk
- fix devel provides

* Mon Mar  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- source URL
- New release 2.10.0

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-2mdk 
- Rebuild with latest howl

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- requires new libgnomeui
- fix source URL
- New release 2.8.0

* Mon Jul 05 2004 Abel Cheung <deaddog@deaddog.org> 2.6.0-2mdk
- Rebuild with new g++
- Reenable libtoolize

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.6.0-1mdk
- New major release

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.0.0-3mdk
- Rebuild
- Split documentation

* Fri Oct 17 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-2mdk
- Rebuild against new libgnomemm
- Fix variable naming

* Sat Sep 13 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- 2.0.0 (API frozen)
- Remove Patch1 (upstream)

* Wed Sep  3 2003 Abel Cheung <deaddog@deaddog.org> 1.3.17-1mdk
- 1.3.17
- Patch0: Fix libtool 1.5 to search for staging libs first
- Patch1 (CVS): Make GnomeUIInfo public, allowing building with gcc 3.3

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 1.3.16-1mdk
- 1.3.16

* Mon Jul  8 2002 Abel Cheung <maddog@linux.org.hk> 1.3.7-1mdk
- 1.3.7 (GNOME 2)
- First Mandrake spec, based on original spec in source

* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
